SiT! Bugs

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001286SiT!LDAPpublic2010-04-19 18:172010-05-29 14:20
Reporterivan 
Assigned Topaulh 
PrioritynormalSeverityminorReproducibilityN/A
StatusclosedResolutionfixed 
PlatformWindowsOSWindows ServerOS Version2000+Later
Product Version3.60 LTS 
Target Version3.61 LTSFixed in Version3.61 LTS 
Summary0001286: Trigger doesn't fire when a contact is added via LDAP
DescriptionThe TRIGGER_NEW_CONTACT trigger doesn't fire when a contact is added via LDAP sync
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
User avatar (0003086)
paulh (administrator)
2010-04-19 19:55

Yeap, we need to add the trigger call to classes.inc.php:Contact:add

Shouldn't be too difficult apart from what do we pass as the password as we probably don't want to email the LDAP password?
User avatar (0003103)
paulh (administrator)
2010-04-22 19:02

Hmmh just been having more of a look at this, do we always want to email details when LDAP sync? I'm thinking not as in most cases people already know their login details (as there their standard ones) which relates to the above so this could cause more confusion/issues? what do others think?
User avatar (0003127)
paulh (administrator)
2010-05-02 13:26

r6467 and 057db54 resolve this

send details set to false
User avatar (0003195)
ivan (administrator)
2010-05-29 14:20

Released in v3.61

- Issue History
Date Modified Username Field Change
2010-04-19 18:17 ivan New Issue
2010-04-19 19:55 paulh Note Added: 0003086
2010-04-19 19:55 paulh Status new => confirmed
2010-04-19 19:55 paulh Target Version => 3.61 LTS
2010-04-22 18:56 paulh Status confirmed => assigned
2010-04-22 18:56 paulh Assigned To => paulh
2010-04-22 19:01 paulh Assigned To paulh =>
2010-04-22 19:02 paulh Note Added: 0003103
2010-04-22 19:09 paulh Status assigned => confirmed
2010-05-02 11:09 paulh Status confirmed => assigned
2010-05-02 11:09 paulh Assigned To => paulh
2010-05-02 13:26 paulh Note Added: 0003127
2010-05-02 13:26 paulh Status assigned => resolved
2010-05-02 13:26 paulh Resolution open => fixed
2010-05-02 13:26 paulh Fixed in Version => Current SVN
2010-05-29 13:39 ivan Fixed in Version Current SVN => 3.61 LTS
2010-05-29 14:20 ivan Note Added: 0003195
2010-05-29 14:20 ivan Status resolved => closed


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker